From bf487dec17b09c377e8661c18af8b1b746e02142 Mon Sep 17 00:00:00 2001
From: Martijn Braam <martijn@brixit.nl>
Date: Tue, 20 Oct 2020 16:12:08 +0200
Subject: [PATCH] arm64: dts: allwinner: Add bluetooth node to the PineTab

---
 .../arm64/boot/dts/allwinner/sun50i-a64-pinetab.dts | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/arch/arm64/boot/dts/allwinner/sun50i-a64-pinetab.dts b/arch/arm64/boot/dts/allwinner/sun50i-a64-pinetab.dts
index c33c5690a87b..ac66fd12f59f 100644
--- a/arch/arm64/boot/dts/allwinner/sun50i-a64-pinetab.dts
+++ b/arch/arm64/boot/dts/allwinner/sun50i-a64-pinetab.dts
@@ -487,6 +487,19 @@ &uart0 {
 	status = "okay";
 };
 
+&uart1 {
+        pinctrl-names = "default";
+        pinctrl-0 = <&uart1_pins>, <&uart1_rts_cts_pins>;
+        status = "okay";
+
+        bluetooth {
+                compatible = "realtek,rtl8723cs-bt";
+                reset-gpios = <&r_pio 0 4 GPIO_ACTIVE_LOW>; /* PL4 */
+                device-wake-gpios = <&r_pio 0 6 GPIO_ACTIVE_LOW>; /* PL6 */
+                host-wake-gpios = <&r_pio 0 5 GPIO_ACTIVE_HIGH>; /* PL5 */
+        };
+};
+
 &usb_otg {
 	dr_mode = "otg";
 	status = "okay";
-- 
2.31.1

